=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2009-03-03 04:49:50 +0000
+++ bzrlib/errors.py	2009-03-07 20:45:34 +0000
@@ -154,7 +154,7 @@
                )
 
     def __eq__(self, other):
-        if self.__class__ != other.__class__:
+        if self.__class__ is not other.__class__:
             return NotImplemented
         return self.__dict__ == other.__dict__
 

=== modified file 'bzrlib/knit.py'
--- bzrlib/knit.py	2009-03-06 08:13:23 +0000
+++ bzrlib/knit.py	2009-03-07 20:45:34 +0000
@@ -966,7 +966,7 @@
         else:
             options.append('fulltext')
             # isinstance is slower and we have no hierarchy.
-            if self._factory.__class__ == KnitPlainFactory:
+            if self._factory.__class__ is KnitPlainFactory:
                 # Use the already joined bytes saving iteration time in
                 # _record_to_data.
                 size, bytes = self._record_to_data(key, digest,

=== modified file 'bzrlib/multiparent.py'
--- bzrlib/multiparent.py	2008-06-11 04:20:16 +0000
+++ bzrlib/multiparent.py	2009-03-07 20:45:34 +0000
@@ -290,7 +290,7 @@
             ' %(num_lines)r)' % self.__dict__
 
     def __eq__(self, other):
-        if self.__class__ != other.__class__:
+        if self.__class__ is not other.__class__:
             return False
         return (self.__dict__ == other.__dict__)
 

=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2009-03-06 12:01:51 +0000
+++ bzrlib/remote.py	2009-03-07 20:45:34 +0000
@@ -499,7 +499,7 @@
         return 'bzr remote repository'
 
     def __eq__(self, other):
-        return self.__class__ == other.__class__
+        return self.__class__ is other.__class__
 
     def check_conversion_target(self, target_format):
         if self.rich_root_data and not target_format.rich_root_data:
@@ -710,7 +710,7 @@
         return result
 
     def has_same_location(self, other):
-        return (self.__class__ == other.__class__ and
+        return (self.__class__ is other.__class__ and
                 self.bzrdir.transport.base == other.bzrdir.transport.base)
 
     def get_graph(self, other_repository=None):

=== modified file 'bzrlib/xml8.py'
--- bzrlib/xml8.py	2009-03-06 20:43:58 +0000
+++ bzrlib/xml8.py	2009-03-07 20:45:34 +0000
@@ -92,7 +92,7 @@
     # to check if None, rather than try/KeyError
     text = _map.get(unicode_or_utf8_str)
     if text is None:
-        if unicode_or_utf8_str.__class__ == unicode:
+        if unicode_or_utf8_str.__class__ is unicode:
             # The alternative policy is to do a regular UTF8 encoding
             # and then escape only XML meta characters.
             # Performance is equivalent once you use cache_utf8. *However*
@@ -128,7 +128,7 @@
     # This is fairly optimized because we know what cElementTree does, this is
     # not meant as a generic function for all cases. Because it is possible for
     # an 8-bit string to not be ascii or valid utf8.
-    if a_str.__class__ == unicode:
+    if a_str.__class__ is unicode:
         return _encode_utf8(a_str)
     else:
         return intern(a_str)

